# ApplicationFramework
TKPShape
PGeom

# PGeom_Ellipse Class Reference

`#include <PGeom_Ellipse.hxx>`

Inheritance diagram for PGeom_Ellipse:

[legend]

## Public Member Functions

Standard_EXPORT | PGeom_Ellipse ()
| Creates an ellipse with default values. .
Standard_EXPORT | PGeom_Ellipse (const gp_Ax2 &aPosition, const Standard_Real aMajorRadius, const Standard_Real aMinorRadius)
| Creates an Ellipse with <aposition>, <amajorradius> and <aminorradius> as field values. The major radius of the ellipse is on the "XAxis" and the minor radius of the ellipse is on the "YAxis". .
Standard_EXPORT void | MajorRadius (const Standard_Real aMajorRadius)
| Set the value of the field majorRadius with <amajorradius>. .
Standard_EXPORT Standard_Real | MajorRadius () const
| Returns the value of the field majorRadius. .
Standard_EXPORT void | MinorRadius (const Standard_Real aMinorRadius)
| Set the value of the field minorRadius with <aminorradius>. .
Standard_EXPORT Standard_Real | MinorRadius () const
| Returns the value of the field minorRadius. .
| PGeom_Ellipse (const Storage_stCONSTclCOM &a)
Standard_Real | _CSFDB_GetPGeom_EllipsemajorRadius () const
void | _CSFDB_SetPGeom_EllipsemajorRadius (const Standard_Real p)
Standard_Real | _CSFDB_GetPGeom_EllipseminorRadius () const
void | _CSFDB_SetPGeom_EllipseminorRadius (const Standard_Real p)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Standard_Real | majorRadius
Standard_Real | minorRadius

## Constructor & Destructor Documentation

Standard_EXPORT PGeom_Ellipse::PGeom_Ellipse | ( |  | ) |

Standard_EXPORT PGeom_Ellipse::PGeom_Ellipse | ( | const gp_Ax2 & | aPosition,
|  | const Standard_Real | aMajorRadius,
|  | const Standard_Real | aMinorRadius
| ) |

PGeom_Ellipse::PGeom_Ellipse | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

## Member Function Documentation

Standard_Real PGeom_Ellipse::_CSFDB_GetPGeom_EllipsemajorRadius | ( |  | ) | const`[inline]`

Standard_Real PGeom_Ellipse::_CSFDB_GetPGeom_EllipseminorRadius | ( |  | ) | const`[inline]`

void PGeom_Ellipse::_CSFDB_SetPGeom_EllipsemajorRadius | ( | const Standard_Real | p | ) | `[inline]`

void PGeom_Ellipse::_CSFDB_SetPGeom_EllipseminorRadius | ( | const Standard_Real | p | ) | `[inline]`

Standard_EXPORT const PGeom_Ellipse::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from PGeom_Conic.

Standard_EXPORT Standard_Real PGeom_Ellipse::MajorRadius | ( |  | ) | const

Standard_EXPORT void PGeom_Ellipse::MajorRadius | ( | const Standard_Real | aMajorRadius | ) |

Standard_EXPORT Standard_Real PGeom_Ellipse::MinorRadius | ( |  | ) | const

Standard_EXPORT void PGeom_Ellipse::MinorRadius | ( | const Standard_Real | aMinorRadius | ) |

## Field Documentation

Standard_Real PGeom_Ellipse::majorRadius`[private]`

Standard_Real PGeom_Ellipse::minorRadius`[private]`

The documentation for this class was generated from the following file:

- PGeom_Ellipse.hxx